跳至內容
ShopentlyLearn

產品 · 購買後對未來檔案的存取權限

此操作已停用,回傳409且不會修改資料。請透過接收對象選擇,為每個數位檔案個別設定存取權限。

PATCH/api/v1/products/{product_id}/file-update-policy

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/products/example/file-update-policy \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-update_policy_api_v1_products__product_id__file_update_policy_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"days":365,"expected_version":1,"mode":"period","months":null}'

回應

{
  "error": {
    "code": "resource.state_conflict",
    "fields": null,
    "message": "The current resource state does not allow this operation."
  },
  "meta": {
    "request_id": "example-request"
  }
}

所需權限

身份驗證
存取權杖
最低方案
STANDARD
金鑰權限
管理商品檔案 · 數位商品catalog.product_file:write_digital